diff --git a/applications/test/parallelOverset/heatTransfer/0.org/T b/applications/test/parallelOverset/heatTransfer/0.orig/T
similarity index 100%
rename from applications/test/parallelOverset/heatTransfer/0.org/T
rename to applications/test/parallelOverset/heatTransfer/0.orig/T
diff --git a/applications/test/parallelOverset/heatTransfer/0.org/pointDisplacement b/applications/test/parallelOverset/heatTransfer/0.orig/pointDisplacement
similarity index 100%
rename from applications/test/parallelOverset/heatTransfer/0.org/pointDisplacement
rename to applications/test/parallelOverset/heatTransfer/0.orig/pointDisplacement
diff --git a/applications/test/parallelOverset/heatTransfer/0.org/zoneID b/applications/test/parallelOverset/heatTransfer/0.orig/zoneID
similarity index 100%
rename from applications/test/parallelOverset/heatTransfer/0.org/zoneID
rename to applications/test/parallelOverset/heatTransfer/0.orig/zoneID
diff --git a/applications/test/parallelOverset/heatTransfer/Allclean b/applications/test/parallelOverset/heatTransfer/Allclean
index 323e09af05db0c3291e129d478f9f2e232782644..bd7671dd1e75ac5648712771db49551bd4343e61 100755
--- a/applications/test/parallelOverset/heatTransfer/Allclean
+++ b/applications/test/parallelOverset/heatTransfer/Allclean
@@ -1,7 +1,5 @@
 #!/bin/sh
-cd ${0%/*} || exit 1    # run from this directory
-
-# Source tutorial clean functions
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/CleanFunctions
 
 cleanCase
@@ -10,4 +8,4 @@ rm -f constant/polyMesh/zoneID
 
 rm -rf 0
 
-# ----------------------------------------------------------------- end-of-file
+#------------------------------------------------------------------------------
diff --git a/applications/test/parallelOverset/heatTransfer/Allrun.pre b/applications/test/parallelOverset/heatTransfer/Allrun.pre
index 19e4417a553dbf99ed91af3793a7ce2c77a62d83..16135b7062abc05e87173d93b3e9b3581ea8d825 100755
--- a/applications/test/parallelOverset/heatTransfer/Allrun.pre
+++ b/applications/test/parallelOverset/heatTransfer/Allrun.pre
@@ -1,4 +1,5 @@
 #!/bin/sh
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
 runApplication blockMesh
@@ -11,7 +12,9 @@ runApplication subsetMesh box -patch hole -overwrite
 # Select cellSets
 runApplication -s zoneID topoSet
 
-rm -rf 0 && cp -r 0.org 0
+restore0Dir
 
 # Use cellSets to write zoneID
 runApplication setFields
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/basic/overLaplacianDyMFoam/heatTransfer/0.org/T b/tutorials/basic/overLaplacianDyMFoam/heatTransfer/0.orig/T
similarity index 100%
rename from tutorials/basic/overLaplacianDyMFoam/heatTransfer/0.org/T
rename to tutorials/basic/overLaplacianDyMFoam/heatTransfer/0.orig/T
diff --git a/tutorials/basic/overLaplacianDyMFoam/heatTransfer/0.org/pointDisplacement b/tutorials/basic/overLaplacianDyMFoam/heatTransfer/0.orig/pointDisplacement
similarity index 100%
rename from tutorials/basic/overLaplacianDyMFoam/heatTransfer/0.org/pointDisplacement
rename to tutorials/basic/overLaplacianDyMFoam/heatTransfer/0.orig/pointDisplacement
diff --git a/tutorials/basic/overLaplacianDyMFoam/heatTransfer/0.org/zoneID b/tutorials/basic/overLaplacianDyMFoam/heatTransfer/0.orig/zoneID
similarity index 100%
rename from tutorials/basic/overLaplacianDyMFoam/heatTransfer/0.org/zoneID
rename to tutorials/basic/overLaplacianDyMFoam/heatTransfer/0.orig/zoneID
diff --git a/tutorials/basic/overLaplacianDyMFoam/heatTransfer/Allclean b/tutorials/basic/overLaplacianDyMFoam/heatTransfer/Allclean
index 323e09af05db0c3291e129d478f9f2e232782644..bd7671dd1e75ac5648712771db49551bd4343e61 100755
--- a/tutorials/basic/overLaplacianDyMFoam/heatTransfer/Allclean
+++ b/tutorials/basic/overLaplacianDyMFoam/heatTransfer/Allclean
@@ -1,7 +1,5 @@
 #!/bin/sh
-cd ${0%/*} || exit 1    # run from this directory
-
-# Source tutorial clean functions
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/CleanFunctions
 
 cleanCase
@@ -10,4 +8,4 @@ rm -f constant/polyMesh/zoneID
 
 rm -rf 0
 
-# ----------------------------------------------------------------- end-of-file
+#------------------------------------------------------------------------------
diff --git a/tutorials/basic/overLaplacianDyMFoam/heatTransfer/Allrun b/tutorials/basic/overLaplacianDyMFoam/heatTransfer/Allrun
index a7602c7dea15e1f7b5a1be2ced10c97a7673a249..e21a2485df53aa9abab78e4d387ad1497534737e 100755
--- a/tutorials/basic/overLaplacianDyMFoam/heatTransfer/Allrun
+++ b/tutorials/basic/overLaplacianDyMFoam/heatTransfer/Allrun
@@ -1,4 +1,5 @@
 #!/bin/sh
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
 ./Allrun.pre
@@ -6,8 +7,10 @@
 # Run it for a bit
 
 # Serial
-#runApplication `getApplication`
+#runApplication $(getApplication)
 
 # Parallel
 runApplication decomposePar -cellDist
-runParallel `getApplication`
+runParallel $(getApplication)
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/basic/overLaplacianDyMFoam/heatTransfer/Allrun.pre b/tutorials/basic/overLaplacianDyMFoam/heatTransfer/Allrun.pre
index 19e4417a553dbf99ed91af3793a7ce2c77a62d83..16135b7062abc05e87173d93b3e9b3581ea8d825 100755
--- a/tutorials/basic/overLaplacianDyMFoam/heatTransfer/Allrun.pre
+++ b/tutorials/basic/overLaplacianDyMFoam/heatTransfer/Allrun.pre
@@ -1,4 +1,5 @@
 #!/bin/sh
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
 runApplication blockMesh
@@ -11,7 +12,9 @@ runApplication subsetMesh box -patch hole -overwrite
 # Select cellSets
 runApplication -s zoneID topoSet
 
-rm -rf 0 && cp -r 0.org 0
+restore0Dir
 
 # Use cellSets to write zoneID
 runApplication setFields
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/U b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/U
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/U
rename to tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/U
diff --git a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/epsilon b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/epsilon
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/epsilon
rename to tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/epsilon
diff --git a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/include/fixedInlet b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/include/fixedInlet
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/include/fixedInlet
rename to tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/include/fixedInlet
diff --git a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/include/initialConditions b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/include/initialConditions
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/include/initialConditions
rename to tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/include/initialConditions
diff --git a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/k b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/k
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/k
rename to tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/k
diff --git a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/nut b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/nut
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/nut
rename to tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/nut
diff --git a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/p b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/p
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/p
rename to tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/p
diff --git a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/pointDisplacement b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/pointDisplacement
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/pointDisplacement
rename to tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/pointDisplacement
diff --git a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/zoneID b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/zoneID
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.org/zoneID
rename to tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/0.orig/zoneID
diff --git a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/Allclean b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/Allclean
index 5d96ca404a377af449d1ab8d37d88228ed684c37..6be736ea3ca30d45035f84d87f0514b7dcca76f2 100755
--- a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/Allclean
+++ b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/Allclean
@@ -1,7 +1,5 @@
 #!/bin/sh
-cd ${0%/*} || exit 1    # run from this directory
-
-# Source tutorial clean functions
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/CleanFunctions
 
 cleanCase
@@ -11,4 +9,4 @@ rm -f constant/cellInterpolationWeight
 
 rm -rf 0
 
-# ----------------------------------------------------------------- end-of-file
+#------------------------------------------------------------------------------
diff --git a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/Allrun b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/Allrun
index b3d5b3a8dea0a28e9847d9127359a04d4e281fe8..50626eed68377d9c8266c8d16ed8cd788c111771 100755
--- a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/Allrun
+++ b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/Allrun
@@ -1,7 +1,10 @@
 #!/bin/sh
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
 ./Allrun.pre
 
 # Run it for a bit
-runApplication `getApplication`
+runApplication $(getApplication)
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/Allrun.pre b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/Allrun.pre
index 5e8d5fb08da825d4b6086b781e99f69d6b36ec61..f4910d875d6b93d1b10ce3ee5439ba32e55b4fe5 100755
--- a/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/Allrun.pre
+++ b/tutorials/incompressible/overPimpleDyMFoam/cylinder/cylinderAndBackground/Allrun.pre
@@ -1,4 +1,5 @@
 #!/bin/sh
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
 # Create background mesh
@@ -13,8 +14,9 @@ runApplication mergeMeshes . ../cylinderMesh -overwrite
 # Select cellSets for the different zones
 runApplication topoSet
 
-# Copy standard fields
-rm -rf 0 && cp -r 0.org 0
+restore0Dir
 
 # Use cellSets to write zoneID
 runApplication setFields
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/U b/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/U
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/U
rename to tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/U
diff --git a/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/epsilon b/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/epsilon
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/epsilon
rename to tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/epsilon
diff --git a/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/k b/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/k
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/k
rename to tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/k
diff --git a/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/nuTilda b/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/nuTilda
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/nuTilda
rename to tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/nuTilda
diff --git a/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/nut b/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/nut
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/nut
rename to tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/nut
diff --git a/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/p b/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/p
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/p
rename to tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/p
diff --git a/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/pointDisplacement b/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/pointDisplacement
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/pointDisplacement
rename to tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/pointDisplacement
diff --git a/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/zoneID b/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/zoneID
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.org/zoneID
rename to tutorials/incompressible/overPimpleDyMFoam/simpleRotor/0.orig/zoneID
diff --git a/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/Allclean b/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/Allclean
index 5d96ca404a377af449d1ab8d37d88228ed684c37..6be736ea3ca30d45035f84d87f0514b7dcca76f2 100755
--- a/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/Allclean
+++ b/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/Allclean
@@ -1,7 +1,5 @@
 #!/bin/sh
-cd ${0%/*} || exit 1    # run from this directory
-
-# Source tutorial clean functions
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/CleanFunctions
 
 cleanCase
@@ -11,4 +9,4 @@ rm -f constant/cellInterpolationWeight
 
 rm -rf 0
 
-# ----------------------------------------------------------------- end-of-file
+#------------------------------------------------------------------------------
diff --git a/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/Allrun b/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/Allrun
index 9edfe26c89a981968bfd62c943c0e6101c8f84df..d8593e528778e7a1cc1864e00f2dfd8ad34d23dd 100755
--- a/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/Allrun
+++ b/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/Allrun
@@ -1,6 +1,9 @@
 #!/bin/sh
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
 ./Allrun.pre
 
 runApplication overPimpleDyMFoam
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/Allrun.pre b/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/Allrun.pre
index a6ddc21dbe92a81870789d392a5eb867dd225484..4eafbde2339d182be7553259d90edb00c1a37394 100755
--- a/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/Allrun.pre
+++ b/tutorials/incompressible/overPimpleDyMFoam/simpleRotor/Allrun.pre
@@ -1,4 +1,5 @@
 #!/bin/sh
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
 runApplication blockMesh
@@ -13,7 +14,9 @@ rm log.topoSet
 
 runApplication topoSet
 
-rm -rf 0 && cp -r 0.org 0
+restore0Dir
 
 # Use cellSets to write zoneID
 runApplication setFields
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.org/U b/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.orig/U
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.org/U
rename to tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.orig/U
diff --git a/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.org/p b/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.orig/p
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.org/p
rename to tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.orig/p
diff --git a/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.org/pointDisplacement b/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.orig/pointDisplacement
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.org/pointDisplacement
rename to tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.orig/pointDisplacement
diff --git a/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.org/zoneID b/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.orig/zoneID
similarity index 100%
rename from tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.org/zoneID
rename to tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/0.orig/zoneID
diff --git a/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/Allclean b/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/Allclean
index 5d96ca404a377af449d1ab8d37d88228ed684c37..6be736ea3ca30d45035f84d87f0514b7dcca76f2 100755
--- a/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/Allclean
+++ b/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/Allclean
@@ -1,7 +1,5 @@
 #!/bin/sh
-cd ${0%/*} || exit 1    # run from this directory
-
-# Source tutorial clean functions
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/CleanFunctions
 
 cleanCase
@@ -11,4 +9,4 @@ rm -f constant/cellInterpolationWeight
 
 rm -rf 0
 
-# ----------------------------------------------------------------- end-of-file
+#------------------------------------------------------------------------------
diff --git a/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/Allrun b/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/Allrun
index ea6d08a994b481478dbd721befd3c74248a2e517..e4b389b8c57524c70544d8978363089daafc585a 100755
--- a/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/Allrun
+++ b/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/Allrun
@@ -1,14 +1,14 @@
 #!/bin/sh
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
 ./Allrun.pre
 
-# Get application directory
-application=`getApplication`
-
 # Serial
-#runApplication $application
+#runApplication $(getApplication)
 
 # Parallel
 runApplication decomposePar -cellDist
-runParallel $application
+runParallel  $(getApplication)
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/Allrun.pre b/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/Allrun.pre
index 19f634cd43d762e8b646823709e508bdf74e0254..44fee43b00567805b7e52710b7fc603d1a2e061c 100755
--- a/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/Allrun.pre
+++ b/tutorials/incompressible/overPimpleDyMFoam/twoSimpleRotors/Allrun.pre
@@ -1,4 +1,5 @@
 #!/bin/sh
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
 runApplication blockMesh
@@ -11,7 +12,9 @@ runApplication subsetMesh box -patch hole -overwrite
 # Select cellSets
 runApplication -s 2 topoSet
 
-rm -rf 0 && cp -r 0.org 0
+restore0Dir
 
 # Use cellSets to write zoneID
 runApplication setFields
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/U b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/U
similarity index 100%
rename from tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/U
rename to tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/U
diff --git a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/epsilon b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/epsilon
similarity index 100%
rename from tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/epsilon
rename to tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/epsilon
diff --git a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/include/frontBackTopBottomfreePatches b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/include/frontBackTopBottomfreePatches
similarity index 100%
rename from tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/include/frontBackTopBottomfreePatches
rename to tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/include/frontBackTopBottomfreePatches
diff --git a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/include/initialConditions b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/include/initialConditions
similarity index 100%
rename from tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/include/initialConditions
rename to tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/include/initialConditions
diff --git a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/k b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/k
similarity index 100%
rename from tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/k
rename to tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/k
diff --git a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/nuTilda b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/nuTilda
similarity index 100%
rename from tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/nuTilda
rename to tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/nuTilda
diff --git a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/nut b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/nut
similarity index 100%
rename from tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/nut
rename to tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/nut
diff --git a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/omega b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/omega
similarity index 100%
rename from tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/omega
rename to tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/omega
diff --git a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/p b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/p
similarity index 100%
rename from tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/p
rename to tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/p
diff --git a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/pointDisplacement b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/pointDisplacement
similarity index 100%
rename from tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/pointDisplacement
rename to tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/pointDisplacement
diff --git a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/zoneID b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/zoneID
similarity index 100%
rename from tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.org/zoneID
rename to tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/0.orig/zoneID
diff --git a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/Allclean b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/Allclean
index 5d96ca404a377af449d1ab8d37d88228ed684c37..6be736ea3ca30d45035f84d87f0514b7dcca76f2 100755
--- a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/Allclean
+++ b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/Allclean
@@ -1,7 +1,5 @@
 #!/bin/sh
-cd ${0%/*} || exit 1    # run from this directory
-
-# Source tutorial clean functions
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/CleanFunctions
 
 cleanCase
@@ -11,4 +9,4 @@ rm -f constant/cellInterpolationWeight
 
 rm -rf 0
 
-# ----------------------------------------------------------------- end-of-file
+#------------------------------------------------------------------------------
diff --git a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/Allrun b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/Allrun
index 35c77b0187744327e6f2b7aeea3e6607778ad315..488b782585a4ad93a95370556afa0f504c9d8720 100755
--- a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/Allrun
+++ b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/Allrun
@@ -1,11 +1,12 @@
 #!/bin/sh
-
-# Source tutorial run functions
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
 # Serial
-#runApplication  $(getApplication)
+#runApplication $(getApplication)
 
 # Parallel
 runApplication decomposePar -cellDist
-runParallel $application
+runParallel $(getApplication)
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/Allrun.pre b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/Allrun.pre
index d45f7bfe12eb868bb804155e64565fc6a4a99d11..858bba21fe70c1ddaaab16740e7c32689273403a 100755
--- a/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/Allrun.pre
+++ b/tutorials/incompressible/overSimpleFoam/aeroFoil/background_overset/Allrun.pre
@@ -1,6 +1,5 @@
 #!/bin/sh
-
-# Source tutorial run functions
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
 runApplication extrudeMesh
@@ -8,8 +7,9 @@ runApplication createPatch -overwrite
 mergeMeshes . ../aeroFoil_overset -overwrite
 runApplication topoSet
 
-# Copy standard fields
-rm -rf 0 && cp -r 0.org 0
+restore0Dir
 
 # Use cellSets to write zoneID
 runApplication setFields
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/T b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/T
similarity index 100%
rename from tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/T
rename to tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/T
diff --git a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/T.air b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/T.air
similarity index 100%
rename from tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/T.air
rename to tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/T.air
diff --git a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/T.water b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/T.water
similarity index 100%
rename from tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/T.water
rename to tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/T.water
diff --git a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/U b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/U
similarity index 100%
rename from tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/U
rename to tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/U
diff --git a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/alpha.water b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/alpha.water
similarity index 100%
rename from tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/alpha.water
rename to tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/alpha.water
diff --git a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/p b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/p
similarity index 100%
rename from tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/p
rename to tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/p
diff --git a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/p_rgh b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/p_rgh
similarity index 100%
rename from tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/p_rgh
rename to tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/p_rgh
diff --git a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/pointDisplacement b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/pointDisplacement
similarity index 100%
rename from tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.org/pointDisplacement
rename to tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/0.orig/pointDisplacement
diff --git a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allclean b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allclean
index 75a8a2419c35dc958c69e3da5d982f4027d0615a..e49ac35744ede7554645181bba3a8607ee44ba08 100755
--- a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allclean
+++ b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allclean
@@ -1,7 +1,9 @@
 #!/bin/sh
-
-# Source tutorial clean functions
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/CleanFunctions
 
-rm -rf 0/
 cleanCase
+
+rm -rf 0
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allrun b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allrun
index 469522ab3ef1e45cc820850c199e7b34403c16b1..7c3704c16857e357ee467d831da14a9c5f06c1a9 100755
--- a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allrun
+++ b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allrun
@@ -1,7 +1,5 @@
 #!/bin/sh
-cd ${0%/*} || exit 1    # run from this directory
-
-# Source tutorial run functions
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
 runApplication blockMesh
@@ -13,8 +11,7 @@ runApplication createPatch -overwrite
 # split mesh into 2 regions at the AMI coupled patch
 runApplication mergeOrSplitBaffles -overwrite
 
-echo "Copying 0.org to 0"
-cp -r 0.org 0
+restore0Dir
 
 runApplication setFields
 
@@ -22,4 +19,4 @@ runApplication setFields
 
 runApplication $(getApplication)
 
-# ----------------------------------------------------------------- end-of-file
+#------------------------------------------------------------------------------
diff --git a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allrun.parallel b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allrun.parallel
index 805818aaf721f0df2feb08b3b67866b7c7cd7ad7..bdf2b279c78bc9ba866be172a1dc1524ff0825a0 100755
--- a/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allrun.parallel
+++ b/tutorials/multiphase/compressibleInterDyMFoam/laminar/sphereDrop/Allrun.parallel
@@ -1,7 +1,5 @@
 #!/bin/sh
-cd ${0%/*} || exit 1    # run from this directory
-
-# Source tutorial run functions
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
 runApplication blockMesh
@@ -13,15 +11,17 @@ runApplication createPatch -overwrite
 # split mesh into 2 regions at the AMI coupled patch
 runApplication mergeOrSplitBaffles -overwrite
 
-echo "Copying 0.org to 0"
-cp -r 0.org 0
+restore0Dir
 
 runApplication setFields
 
 runApplication decomposePar
 
-(cd  processor0/constant/polyMesh/ && ln -s ../../../include/meshModifiers .)
-(cd  processor1/constant/polyMesh/ && ln -s ../../../include/meshModifiers .)
+echo "Symlink include/meshModifiers"
+find -maxdepth 1 -name "processor*" -type d | while read procDir
+do
+    (cd $procDir/constant/polyMesh && ln -sf ../../../include/meshModifiers .)
+done
 
 runParallel $(getApplication)
 
@@ -29,4 +29,4 @@ runApplication reconstructParMesh
 
 runApplication reconstructPar
 
-# ----------------------------------------------------------------- end-of-file
+#------------------------------------------------------------------------------
diff --git a/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/U b/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/U
similarity index 100%
rename from tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/U
rename to tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/U
diff --git a/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/alpha.water b/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/alpha.water
similarity index 100%
rename from tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/alpha.water
rename to tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/alpha.water
diff --git a/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/epsilon b/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/epsilon
similarity index 100%
rename from tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/epsilon
rename to tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/epsilon
diff --git a/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/k b/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/k
similarity index 100%
rename from tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/k
rename to tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/k
diff --git a/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/nut b/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/nut
similarity index 100%
rename from tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/nut
rename to tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/nut
diff --git a/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/p_rgh b/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/p_rgh
similarity index 100%
rename from tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/p_rgh
rename to tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/p_rgh
diff --git a/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/pointDisplacement b/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/pointDisplacement
similarity index 100%
rename from tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/pointDisplacement
rename to tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/pointDisplacement
diff --git a/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/zoneID b/tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/zoneID
similarity index 100%
rename from tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.org/zoneID
rename to tutorials/multiphase/overInterDyMFoam/floatingBody/background/0.orig/zoneID
diff --git a/tutorials/multiphase/overInterDyMFoam/floatingBody/background/Allclean b/tutorials/multiphase/overInterDyMFoam/floatingBody/background/Allclean
index d16400a94f636d461b62f6f909c2d64d7e29c335..e49ac35744ede7554645181bba3a8607ee44ba08 100755
--- a/tutorials/multiphase/overInterDyMFoam/floatingBody/background/Allclean
+++ b/tutorials/multiphase/overInterDyMFoam/floatingBody/background/Allclean
@@ -1,11 +1,9 @@
 #!/bin/sh
-cd ${0%/*} || exit 1    # run from this directory
-
-# Source tutorial clean functions
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/CleanFunctions
 
-rm -rf 0 > /dev/null 2>&1
-
 cleanCase
 
-# ----------------------------------------------------------------- end-of-file
+rm -rf 0
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/multiphase/overInterDyMFoam/floatingBody/background/Allrun.pre b/tutorials/multiphase/overInterDyMFoam/floatingBody/background/Allrun.pre
index 78da51948ae9f124254eb7450925a985d0d40fc5..31eb9edf99df7ab97e62ade8431c01a2510f1e39 100755
--- a/tutorials/multiphase/overInterDyMFoam/floatingBody/background/Allrun.pre
+++ b/tutorials/multiphase/overInterDyMFoam/floatingBody/background/Allrun.pre
@@ -1,4 +1,5 @@
 #!/bin/sh
+cd ${0%/*} || exit 1    # Run from this directory
 . $WM_PROJECT_DIR/bin/tools/RunFunctions
 
 # Create background mesh
@@ -10,8 +11,9 @@ runApplication mergeMeshes . ../floatingBody -overwrite
 # Select cellSets for the different zones
 runApplication topoSet
 
-# Copy standard fields
-rm -rf 0 && cp -r 0.org 0
+restore0Dir
 
 # Use cellSets to write zoneID
 runApplication setFields
+
+#------------------------------------------------------------------------------